// Copyright 2016 Orus.io. All rights reserved.

package main

import (
	"math/rand"
	"time"

	"bitbucket.org/orus-io/xbus/cmd/xbusd/cmd"
	"bitbucket.org/orus-io/xbus/utils/license"
	_ "github.com/lib/pq"
	_ "github.com/slicebit/qb/dialects/postgres"
)

var (
	version     string
	commitHash  string
	buildNumber string
)

func init() {
	rand.Seed(time.Now().UnixNano())
}

func main() {
	license.DisplayLicenseOnStart()
	license.SetupCmd(cmd.RootCmd)
	cmd.Execute()
}
